
QGIS Application - Bug report #21691

Styles stored in QML files with same name as layer no longer auto loaded

2019-03-28 06:24 PM - Andrew Robinson

Status: Closed

Priority: High

Assignee: Alexander Bruy

Category: Symbology

Affected QGIS version:3.6.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29507

Description

In QGIS 3.2 if I save a vector layer (GeoPackage) as My_Layer.gpkg and I save the styles in a QML file with the same e.g My_Layer.qml,

in the same directory as the vector layer then the styles are automatically loaded when that vector layer is opened. In QGIS 3.6 this no

longer happens. Instead the QML file must be manually loaded.

Associated revisions

Revision 76104b51 - 2019-05-24 03:11 PM - Alexander Bruy

load style from the QML file with the same name as layer file name

for GeoPackages, CSV and SpatiaLite (fix #21691)

Revision c13bd14e - 2019-05-24 03:11 PM - Alexander Bruy

load style from the QML file with the same name as layer file name

for GeoPackages, CSV and SpatiaLite (fix #21691)

Revision ab2d6f4f - 2019-05-27 02:20 AM - Alexander Bruy

load style from the QML file with the same name as layer file name

for GeoPackages, CSV and SpatiaLite (fix #21691)

History

#1 - 2019-03-28 07:39 PM - Giovanni Manghi

- Operating System deleted (Windows 10)

- Priority changed from Normal to High

Also on Linux.

#2 - 2019-05-23 07:53 PM - Alexander Bruy

- Assignee set to Alexander Bruy

Actually this is happens only with layers which come from GeoPackage and other similar (multi-layer) sources. Styles autoload works fine for other layers,

e.g. shapefiles. And as far as I can see it also does not works with GeoPackages in 3.2
#3 - 2019-05-27 02:20 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|ab2d6f4f04dbb028c44b9477686f238c855c6bea.
